From 7b92f426899bf42311546d898c37e83ff9806389 Mon Sep 17 00:00:00 2001
From: Cyril Brulebois <kibi@debian.org>
Date: Fri, 19 Jan 2018 01:03:32 +0000
Subject: [PATCH 1/2] Add a libpcre2-8-0-udeb, needed by vte2.91 (Closes:
 #887674)

---
 debian/changelog                 | 6 ++++++
 debian/control                   | 8 ++++++++
 debian/libpcre2-8-0-udeb.install | 1 +
 debian/rules                     | 3 +++
 4 files changed, 18 insertions(+)
 create mode 100644 debian/libpcre2-8-0-udeb.install

diff --git a/debian/changelog b/debian/changelog
index b0de24f..0afc8f8 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,9 @@
+pcre2 (10.22-6) UNRELEASED; urgency=medium
+
+  * Add a libpcre2-8-0-udeb, needed by vte2.91 (Closes: #887674)
+
+ -- Cyril Brulebois <kibi@debian.org>  Fri, 19 Jan 2018 01:00:12 +0000
+
 pcre2 (10.22-5) unstable; urgency=medium
 
   * Add Vcs-{Git,Browser} fields to debian/control
diff --git a/debian/control b/debian/control
index db57fd3..5478f42 100644
--- a/debian/control
+++ b/debian/control
@@ -22,6 +22,14 @@ Description: New Perl Compatible Regular Expression Library- 8 bit runtime files
  .
  This package contains the 8 bit runtime library.
 
+Package: libpcre2-8-0-udeb
+Package-Type: udeb
+Section: debian-installer
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: New Perl Compatible Regular Expression Library- 8 bit runtime files (udeb)
+ This package contains the 8 bit runtime library, for the Debian Installer.
+
 Package: libpcre2-16-0
 Section: libs
 Architecture: any
diff --git a/debian/libpcre2-8-0-udeb.install b/debian/libpcre2-8-0-udeb.install
new file mode 100644
index 0000000..1a38dd6
--- /dev/null
+++ b/debian/libpcre2-8-0-udeb.install
@@ -0,0 +1 @@
+debian/tmp/usr/lib/*/libpcre2-8.so.*
diff --git a/debian/rules b/debian/rules
index 66c4b28..07bd4b3 100755
--- a/debian/rules
+++ b/debian/rules
@@ -25,5 +25,8 @@ endif
 override_dh_auto_configure:
 	dh_auto_configure -- $(deb_maint_conf_args)
 
+override_dh_makeshlibs:
+	dh_makeshlibs -V --add-udeb=libpcre2-8-0-udeb
+
 override_dh_strip:
 	dh_strip --dbg-package=libpcre2-dbg
-- 
2.11.0

